/* -------- GLOBAL, BODY Y ARTICLE --------*/

* {
    margin: 0%;
    padding: 0%;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    text-decoration: none;
}

body {margin: 10em; background-color: cadetblue;}

article {
    background-color: lightgreen;
    padding: 1.5em;
    min-height: 2048px;
}




/* -------- HEADER CON MENUBAR --------*/

header {
    background-color: black;
    width: 100%;
    position: sticky;
    top: 0;
    z-index: 10;
}

header > ul > li {display: inline-block; list-style-type: none;}

header > ul > li > a {
    display: inline-block;
    padding: 1.5em;
    color: white;
}

header > ul > li > a:hover {background-color: seagreen; color: blanchedalmond;}
header > ul > li > a:active {background-color: rgba(33, 87, 56); color: blanchedalmond;}




/* -------- TARJETAS -> CSS COMÚN -------- */

div[class="tarjeta"] {position: relative;}

div[class="tarjeta"] > figure {
    display: inline-block;
    background-color: white;
    border-radius: 0.5em;
    border: 2px solid black;
    padding: 0.5em;
    position: absolute;
}

div[class="tarjeta"] > figure:hover {background-color: khaki; color: seagreen;}

div[class="tarjeta"] > figure > img {max-width: 256px;}
div[class="tarjeta"] > figure > figcaption {display: block; text-align: center;}

cite {font-style: normal;}


/* -------- TARJETAS -> CSS ESPECÍFICO -------- */

figure[id="lugar_1"] {
    left: 128px;
    top: 256px;
    transform: rotate(-45deg);
    z-index: 4;
}

figure[id="lugar_2"] {
    left: 256px;
    top: 356px;
    transform: rotate(45deg);
    z-index: 3;
}

figure[id="lugar_3"] {
    left: 350px;
    top: 400px;
    transform: rotate(-15deg);
    z-index: 2;
}

figure[id="lugar_4"] {
    left: 480px;
    top: 480px;
    transform: rotate(15deg);
    z-index: 1;
}




/* -------- ASIDE -> PROFILE FLOTANTE -------- */

aside[class="profile_flotante"] {
    display: inline-block;

    top: 128px;
    left: 12px;

    max-width: 96px;
    position: fixed;

    background-color: white;
    border: 2px solid;
    border-radius: 0.5em;
    padding: 1em;
}

aside[class="profile_flotante"] > img {max-width: 100%; margin-bottom: 1em;}
aside[class="profile_flotante"] > ul > li {list-style-type: none; text-align: center;}
aside[class="profile_flotante"] > ul > li > a:hover {font-weight: 600;}